import request from '@/utils/request.js'

// 物料申领(body传参)
export function addMaterialApply(params) {
	return request({
		url: '/system/materialApply/addMaterialApply',
		method: 'POST', 
		params
	})
}
// 申领记录(body传参)
export function materialApplyRec(params) {
	return request({
		url: '/system/materialApply/materialApplyRec',
		method: 'POST', 
		params
	})
}
// 根据ID查询物料出库记录
export function queryOneById(params) {
	return request({
		url: '/system/materialApply/queryOneById',
		method: 'GET', 
		params
	})
}

// 获取物料列表
export function queryMaterialList(params) {
	return request({
		url: '/system/material/queryMaterialList',
		method: 'POST', 
		params
	})
}

// 归还
export function materialBack(params) {
	return request({
		url: '/system/materialApply/materialBack',
		method: 'POST', 
		params
	})
}

